/*
 *  DSPF_sp_fir_gen.c (generic floating-point FIR block filter)
 *  This is the C equivalent of the hand-optimized assembly code found in the C67xDSPLIB.
 */

void DSPF_sp_fir_gen( float x[], float h[], float r[], int nh, int nr)
{
  int i, j;
  float sum;

  for( j=0; j<nr; j++)
  {
    sum = 0;
    for( i=0; i<nh; i++)
      sum += x[i+j] * h[i];

    r[j] = sum;
  }
}
