
#include "cos_gen_float.h"
//#include <mathf.h>
#include <fastrts67x.h> // faster math functions


#define PI2 6.28318530718


void cos_gen_float_init( struct_cos_gen_float *data, float amp, float theta, float phi0, int blksz)
{
  data->blksz = blksz;
  data->amplitude = amp;
  data->theta = theta; 
  data->phi0  = phi0;
  data->phi   = phi0;
}




/* note: this is surely not the most efficient implementation
   of an oscillator
*/

void cos_gen_float( struct_cos_gen_float *data, float *sigbuf)
{
  int i;
  for( i=0; i<data->blksz; i++)
  { 
//    sigbuf[i] = data->amplitude * cosf( data->phi);
    sigbuf[i] = data->amplitude * cossp( data->phi);
    data->phi += data->theta;
    if( data->phi >= PI2)
      data->phi -= PI2;
  }
}
