/**********************************************************************
* FILENAME
*   cos_gen_float.h
*
* DESCRIPTION
*   Definition of cos_gen structure and prototypes
*
* Rev 1.0  Nov. 22nd, 2001 		C. Feldbauer <feldbauer@inw.tugraz.at>
**********************************************************************/
#ifndef __COS_GEN_FLOAT__
#define __COS_GEN_FLOAT__


typedef struct
{
  int blksz;       /* size of incoming/outgoing blocks */
  float amplitude; /* amplitude of the cosine waveform */
  float theta;     /* 0 < theta < PI  (PI equals fs/2) */
  float phi0;      /* initial phase value */
  /* internal variables: */
  float phi;       /* instantaneous phase value */
} struct_cos_gen_float;


void cos_gen_float_init( struct_cos_gen_float *data, float amp, float theta, float phi0, int blksz);

void cos_gen_float( struct_cos_gen_float *data, float *sigbuf);

#endif
