/**********************************************************************
* FILENAME
*   delay_float.h
*
* DESCRIPTION
*   Definition of delay structure and prototypes for blockprocessing 
*   using a float working buffer
*
* Rev 1.0  Nov. 27th, 2001 		C. Feldbauer <feldbauer@inw.tugraz.at>
**********************************************************************/
#ifndef __DELAY_FLOAT__
#define __DELAY_FLOAT__


typedef struct
{
  int blksz;       /* size of incoming/outgoing blocks */
  int delay;       /* delay in samples */
  /* internal variables: */                   
  int bufsz;                 
  float *buffer;
  int w_index;
  int r_index;
} struct_delay_float;


void delay_float_init( struct_delay_float *data, int delay, int blksz);
void delay_float( struct_delay_float *data, float *sigbuf);

#endif
