/**********************************************************************
* FILENAME
*   fir_float.h
*
* DESCRIPTION
*   Generic floating-point FIR block filter with private delay line.
* The function 'fir_float' expects a (non-overlapping) buffer for input
*	and output samples.
* Definition of structure and prototypes.
**********************************************************************/
#ifndef __FIR_FLOAT__
#define __FIR_FLOAT__


typedef struct
{
  int blksz;       // size of i/o working buffer
  int num_coeff;   // # of coefficients
  int tmpbufsz;
  float *coeffs;   // coefficients (in correct order)
  float *tmpbuf;   // delay line
} struct_fir_float;


void fir_float_init( struct_fir_float *data, float *coeffs, int num_coeff, int blksz);
void fir_float( struct_fir_float *data, float *sigbuf);

 
#endif
