
/* headerfiles */
#include "blocks.h" /* constants for block processing environment */

#include "block.h" /* contains flowgraph elements for block processing */
#include "cos_gen_float.h" /* simple sine generator */




/* constants: */
#define PI 3.141592653

/* THETA0 ... carrier frequency in radians (2 PI == fs) */
#define THETA0   5.*2.*PI/16000. /*   5Hz Tremolo */
//#define THETA0  10.*2.*PI/16000. /*  10Hz Tremolo/Roughness */
//#define THETA0  20.*2.*PI/16000. /*  20Hz Roughness */
//#define THETA0  50.*2.*PI/16000. /*  50Hz Roughness/Detuning */
//#define THETA0 100.*2.*PI/16000. /* 100Hz Detuning */
//#define THETA0 500.*2.*PI/16000. /* 500Hz Detuning */
//#define THETA0 PI/4. /* 2000Hz for screen shot */




/* global variables... */
struct_cos_gen_float cos_osc;


/* additional global buffers... */
float tmpbuf[BLKSZ];




/* initialization of "objects"... */
void init( void)
{
  cos_gen_float_init( &cos_osc, 0.9, THETA0, 0, BLKSZ);
  
}


/* realtime block processing... */
void processing( void *ptr)
{
  float *sigbuf = ptr; // to get actual pointer type (this does not make a new buffer, but simply gives the existing working buffer a new name)
  
  cos_gen_float( &cos_osc, tmpbuf);
  block_float_multiply( sigbuf, tmpbuf, BLKSZ);

}
